org.tmatesoft.svn.core.wc2

## Class SvnInfo

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnObject
  - - org.tmatesoft.svn.core.wc2.SvnInfo

    public class SvnInfo
    extends SvnObject

Represents information details for versioned item's (located either in a working copy or a repository). When running an `SvnInfo` operation all collected item information data is packed inside an SvnInfo object.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  `SvnGetInfo`

### Constructor Summary

Constructors
Constructor and Description
`SvnInfo()`

### Method Summary

Methods
`SVNNodeKind` `getKind()` Gets the item's node kind.
`java.lang.String` `getLastChangedAuthor()` Gets the item's last changed author.
`org.tmatesoft.svn.core.internal.util.SVNDate` `getLastChangedDate()` Gets the item's last changed date.
`long` `getLastChangedRevision()` Gets the item's last changed revision.
`SVNLock` `getLock()` Gets the file item's lock.
`SVNURL` `getRepositoryRootUrl()` Gets the repository root url (where the repository itself is installed).
`java.lang.String` `getRepositoryUuid()` Gets the repository Universal Unique IDentifier (UUID).
`long` `getRevision()` Gets the item's revision.
`long` `getSize()` Gets the file size.
`SVNURL` `getUrl()` Gets the item's URL - its repository location.
`SvnWorkingCopyInfo` `getWcInfo()` Gets working copy info.
`void` `setKind(SVNNodeKind kind)` Sets the item's node kind.
`void` `setLastChangedAuthor(java.lang.String lastChangedAuthor)` Sets the item's last changed author.
`void` `setLastChangedDate(org.tmatesoft.svn.core.internal.util.SVNDate lastChangedDate)` Sets the item's last changed date.
`void` `setLastChangedRevision(long lastChangedRevision)` Sets the item's last changed revision.
`void` `setLock(SVNLock lock)` Sets the file item's lock.
`void` `setRepositoryRootURL(SVNURL repositoryRootURL)` Sets the repository root url (where the repository itself is installed).
`void` `setRepositoryUuid(java.lang.String repositoryUUID)` Sets the repository Universal Unique IDentifier (UUID).
`void` `setRevision(long revision)` Sets the item's revision.
`void` `setSize(long size)` Sets the file size.
`void` `setUrl(SVNURL url)` Sets the item's URL - its repository location.
`void` `setWcInfo(SvnWorkingCopyInfo wcInfo)` Sets working copy info.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnObject

`getUserData, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnInfo

    public SvnInfo()

### Method Detail

#### getUrl

    public SVNURL getUrl()

Gets the item's URL - its repository location.

Returns:
  the item's URL

#### getRevision

    public long getRevision()

Gets the item's revision.

Returns:
  the item's revision

#### getRepositoryRootUrl

    public SVNURL getRepositoryRootUrl()

Gets the repository root url (where the repository itself is installed). Applicable only for remote info operation invocations (for items in a repository).

Returns:
  the repository's root URL

#### getRepositoryUuid

    public java.lang.String getRepositoryUuid()

Gets the repository Universal Unique IDentifier (UUID).

Returns:
  the repository UUID

#### getKind

    public SVNNodeKind getKind()

Gets the item's node kind. Used to find out whether the item is a file, directory, etc.

Returns:
  the item's node kind

#### getSize

    public long getSize()

Gets the file size.

Returns:
  size of file

#### getLastChangedRevision

    public long getLastChangedRevision()

Gets the item's last changed revision.

Returns:
  the item's last changed revision.

#### getLastChangedDate

    public org.tmatesoft.svn.core.internal.util.SVNDate getLastChangedDate()

Gets the item's last changed date.

Returns:
  a repository last changed date

#### getLastChangedAuthor

    public java.lang.String getLastChangedAuthor()

Gets the item's last changed author.

Returns:
  a repository last changed author

#### getLock

    public SVNLock getLock()

Gets the file item's lock. Used to get lock information - lock token, comment, etc.

Returns:
  the file item's lock.

#### getWcInfo

    public SvnWorkingCopyInfo getWcInfo()

Gets working copy info.

Returns:
  working copy info
See Also:
  `SvnWorkingCopyInfo`

#### setUrl

    public void setUrl(SVNURL url)

Sets the item's URL - its repository location.

Parameters:
  `url` - the item's URL

#### setRevision

    public void setRevision(long revision)

Sets the item's revision.

Parameters:
  `revision` - the item's revision

#### setRepositoryRootURL

    public void setRepositoryRootURL(SVNURL repositoryRootURL)

Sets the repository root url (where the repository itself is installed). Applicable only for remote info operation invocations (for items in a repository).

Parameters:
  `repositoryRootURL` - the repository's root URL

#### setRepositoryUuid

    public void setRepositoryUuid(java.lang.String repositoryUUID)

Sets the repository Universal Unique IDentifier (UUID).

Parameters:
  `repositoryUUID` - the repository UUID

#### setKind

    public void setKind(SVNNodeKind kind)

Sets the item's node kind. Used to find out whether the item is a file, directory, etc.

Parameters:
  `kind` - the item's node kind

#### setSize

    public void setSize(long size)

Sets the file size.

Parameters:
  `size` - size of file

#### setLastChangedRevision

    public void setLastChangedRevision(long lastChangedRevision)

Sets the item's last changed revision.

Parameters:
  `lastChangedRevision` - the item's last changed revision.

#### setLastChangedDate

    public void setLastChangedDate(org.tmatesoft.svn.core.internal.util.SVNDate lastChangedDate)

Sets the item's last changed date.

Parameters:
  `lastChangedDate` - a repository last changed date

#### setLastChangedAuthor

    public void setLastChangedAuthor(java.lang.String lastChangedAuthor)

Sets the item's last changed author.

Parameters:
  `lastChangedAuthor` - a repository last changed author

#### setLock

    public void setLock(SVNLock lock)

Sets the file item's lock. Used to get lock information - lock token, comment, etc.

Parameters:
  `lock` - the file item's lock.

#### setWcInfo

    public void setWcInfo(SvnWorkingCopyInfo wcInfo)

Sets working copy info.

Parameters:
  `wcInfo` - working copy info
See Also:
  `SvnWorkingCopyInfo`